List webhooks#
/webhooksReturns a cursor-paginated list of your webhooks.
Query Parameters
| Name | Type | Description |
|---|---|---|
before | string | null | Cursor pointing to the end of the desired set. |
after | string | null | Cursor pointing to the start of the desired set. |
limit | integer | string | Number of records to return. |
created_at | object | 4 properties
|
successful | object | Show only successful/failed webhooks |
is_test | object | Show only test/non test webhooks |
Response 200
Successful response
webhooksarray13 properties
idstring
Unique identifier, beginning with "WB".
created_atstring
Fixed timestamp, recording when this resource was created.
urlstring
URL the webhook was POST-ed to
request_headersobject
The request headers sent with the webhook
request_bodystring
The body of the request sent to the webhook URL
response_codeinteger | null
The response code from the webhook request
response_bodystring | null
The body of the response from the webhook URL
response_body_truncatedboolean
Boolean value indicating the webhook response body was truncated
response_headersobject | null
The headers sent with the response from the webhook URL
response_headers_content_truncatedboolean
Boolean indicating the content of response headers was truncated
response_headers_count_truncatedboolean
Boolean indicating the number of response headers was truncated
is_testboolean
Boolean value showing whether this was a demo webhook for testing
successfulboolean
Boolean indicating whether the request was successful or failed
metaobject2 properties
limitintegerrequiredcursorsobjectrequired
2 properties
beforestring | nullrequired
Cursor pointing to the end of the desired set.
afterstring | nullrequired
Cursor pointing to the start of the desired set.
Errors 400401404422500
Bad Request
Unauthorised
Not found
Validation Error
Internal Error
Error Body
errorobjectrequiredGeneric error
6 properties
codeintegerdocumentation_urlstringerrorsarrayrequired
6 properties
reasonstringfieldstringrequest_pointerstringmessagestringrequiredmetadataobjectlinksobjectmessagestringrequiredrequest_idstringrequiredtypestringGet a single webhook#
/webhooks/{webhook_id}Retrieves the details of an existing webhook.
Path Parameters
| Name | Type | Description |
|---|---|---|
webhook_id | stringrequired | The webhook id |
Response 200
Successful response
webhooksobject13 properties
idstring
Unique identifier, beginning with "WB".
created_atstring
Fixed timestamp, recording when this resource was created.
urlstring
URL the webhook was POST-ed to
request_headersobject
The request headers sent with the webhook
request_bodystring
The body of the request sent to the webhook URL
response_codeinteger | null
The response code from the webhook request
response_bodystring | null
The body of the response from the webhook URL
response_body_truncatedboolean
Boolean value indicating the webhook response body was truncated
response_headersobject | null
The headers sent with the response from the webhook URL
response_headers_content_truncatedboolean
Boolean indicating the content of response headers was truncated
response_headers_count_truncatedboolean
Boolean indicating the number of response headers was truncated
is_testboolean
Boolean value showing whether this was a demo webhook for testing
successfulboolean
Boolean indicating whether the request was successful or failed
Errors 400401404422500
Bad Request
Unauthorised
Not found
Validation Error
Internal Error
Error Body
errorobjectrequiredGeneric error
6 properties
codeintegerdocumentation_urlstringerrorsarrayrequired
6 properties
reasonstringfieldstringrequest_pointerstringmessagestringrequiredmetadataobjectlinksobjectmessagestringrequiredrequest_idstringrequiredtypestringRetry a webhook#
/webhooks/{webhook_id}/actions/retryRequests for a previous webhook to be sent again
Path Parameters
| Name | Type | Description |
|---|---|---|
webhook_id | stringrequired | The webhook id |
Response 200
Action completed successfully
webhooksobject13 properties
idstring
Unique identifier, beginning with "WB".
created_atstring
Fixed timestamp, recording when this resource was created.
urlstring
URL the webhook was POST-ed to
request_headersobject
The request headers sent with the webhook
request_bodystring
The body of the request sent to the webhook URL
response_codeinteger | null
The response code from the webhook request
response_bodystring | null
The body of the response from the webhook URL
response_body_truncatedboolean
Boolean value indicating the webhook response body was truncated
response_headersobject | null
The headers sent with the response from the webhook URL
response_headers_content_truncatedboolean
Boolean indicating the content of response headers was truncated
response_headers_count_truncatedboolean
Boolean indicating the number of response headers was truncated
is_testboolean
Boolean value showing whether this was a demo webhook for testing
successfulboolean
Boolean indicating whether the request was successful or failed
Errors 400401404422500
Bad Request
Unauthorised
Not found
Validation Error
Internal Error
Error Body
errorobjectrequiredGeneric error
6 properties
codeintegerdocumentation_urlstringerrorsarrayrequired
6 properties
reasonstringfieldstringrequest_pointerstringmessagestringrequiredmetadataobjectlinksobjectmessagestringrequiredrequest_idstringrequiredtypestring